local displays = require("absolute_displays")()

local function correction()
    local x, y = love.window.getPosition()
    love.window.setPosition(0,0)
    love.window.setPosition(x,y)
end

function love.load()

    love.window.setMode(300, 300)
    correction() -- due to title bar

    local win_x, win_y = love.window.getPosition()
    local mouse_x, mouse_y = displays:getGlobalMousePosition()

    love.mouse.setPosition(mouse_x-win_x, mouse_y-win_y)

end

function love.keypressed(key)
    if key == 'escape' then
        love.event.quit()
    end
end

function love.draw()
    print(love.mouse.getPosition())
end